Page MenuHomePhabricator

[EPIC] Consolidate user links into a single menu
Closed, ResolvedPublic

Description

Goals

Ensuring easy, quick access to all user links while decreasing the visual clutter at the top of the page

Use Cases

As a reader, I want see fewer links at the top of the page, so that I can focus better on the content

As a reader, I want an easy entrypoint to account creation, so that I can create an account quickly

As an editor, I want quick access to all of my user links, so that I do not have to type the urls

As an editor, I want quick access to my notices and alerts, so that I’m aware when I get a new notification

Requirements

User links will be collected under a single menu
Access to the menu must be simple and straightforward
The menu must contain all default links on the wiki, as well as all links added by the user through gadgets or user scripts

Prototype

https://di-community-round-2.web.app/Volcano

Open questions

What happens to gadgets that are not related to user functionality (such as the clock)?
A significant amount of wikis have a link to “create account” as well as log-in. What do we do in these cases?

Qualitative testing

User testing questions:
How long does it take for a user to find the same link?
Can users find the links with equal ease?
Does the new interface reduce perceived clutter/make it easier to focus on the content

Quantitative testing

We will not be performing an A/B test for this feature. However, we will look at interactions with each of the user links before and after implementing the change. Iterations will be required if we observe a 5% decrease in interaction with each of the links that can be attributed to the change itself (rather than other outside factors)

Developer notes

There is a POC on Vector: https://gerrit.wikimedia.org/r/656518
This uses the architectural changes in T266613 to separate notifications from the menu.
Please read through both before taking on any technical tasks here.

Related Objects

StatusSubtypeAssignedTask
Resolvedovasileva
ResolvedNone
ResolvedJdlrobson
Resolvedalexhollender_WMF
Resolvedalexhollender_WMF
Resolvedalexhollender_WMF
Resolvedalexhollender_WMF
Resolvedalexhollender_WMF
OpenRHo
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedcjming
Resolvedovasileva
Resolvedcjming
Resolvedovasileva
Resolvedovasileva
Openalexhollender_WMF
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
DeclinedNone
DuplicateNone
Resolvedovasileva
Resolvednray
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
ResolvedBUG REPORTovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
ResolvedVolker_E
DuplicateEdtadros
Openovasileva
Resolvedovasileva

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ovasileva raised the priority of this task from Medium to High.May 3 2021, 1:40 PM

not sure which task to attach this to — recording an idea that was proposed by benny476:

user icon.png (171×707 px, 13 KB)

wherein we remove the user icon from the username button, and instead use it as part of the menu button. This would result in more consistency with the user menu trigger in the sticky header (see prototype for reference).

cc @ovasileva @RHo @Volker_E

In T266536#7121021, @alexhollender wrote:

not sure which task to attach this to — recording an idea that was proposed by benny476:

user icon.png (171×707 px, 13 KB)

wherein we remove the user icon from the username button, and instead use it as part of the menu button. This would result in more consistency with the user menu trigger in the sticky header (see prototype for reference).

cc @ovasileva @RHo @Volker_E

I like that this makes it more compatible with the narrower responsive version when the username is placed under the icon dropdown, and it also makes it clearer that the username is a separate link. However, one downside is the visual balance maybe a bit off with the two icons, the username link/quiet button, and then the icon dropdown.

Change 697855 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable wgVectorConsolidateUserLinks on the beta cluster

https://gerrit.wikimedia.org/r/697855

just my 2 cents as an editor: hiding all user links is the opposite of “Ensuring easy, quick access to all user links“. Hiding the user name probably will hide my status (logged in? which user?). Hiding ui items means forcing me to click much more. Hiding user links forces me to click to see if my user and talk pageg are red or blue. etc. A lot of information gets lost.

PS: stumbled upon in this minute: https://twitter.com/codepo8/status/1400169643961208835

Change 697855 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable wgVectorConsolidateUserLinks on the beta cluster

https://gerrit.wikimedia.org/r/697855

Mentioned in SAL (#wikimedia-operations) [2021-06-02T22:48:05Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:697855|Enable wgVectorConsolidateUserLinks on the beta cluster (T266536)]] (duration: 00m 57s)

User menu deployed to all pilot wikis as default. All follow-up work (such as moving the watchlist link) will be tracked separately. Resolving.

Jdlrobson changed the status of subtask T288928: Update Sandbox icon from Open to In Progress.Sep 22 2021, 10:41 PM